# Uses of Class
org.apache.avro.mapred.AvroValue

Packages that use AvroValue
Package
Description
org.apache.avro.mapreduce

## Uses of AvroValue in org.apache.avro.mapreduce

Methods in org.apache.avro.mapreduce that return AvroValue
Modifier and Type
Method
Description
`AvroValue<V>`
AvroKeyValueRecordReader.`getCurrentValue()`
Methods in org.apache.avro.mapreduce that return types with arguments of type AvroValue
Modifier and Type
Method
Description
`RecordReader<AvroKey<K>,AvroValue<V>>`
AvroKeyValueInputFormat.`createRecordReader(InputSplit split, TaskAttemptContext context)`
`RecordReader<AvroKey<K>,AvroValue<V>>`
CombineAvroKeyValueFileInputFormat.`createRecordReader(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`